Help us improve your experience.

Let us know what you think.

Do you have time for a two-minute survey?

 

Supported Browsers

 

We recommend the use of the most recent Chrome and Firefox browsers for accessing NorthStar Controller and NorthStar Planner. Other browsers such as Edge or Internet Explorer or older versions of Chrome or Firefox may also work; however, recent Chrome and Firefox browsers would offer the best compatibility.